Skip to main content
GET
/
personas
/
{uuid}
Retrieve a specific persona
curl --request GET \
  --url https://app.pipecorn.com/api/v2/personas/{uuid} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://app.pipecorn.com/api/v2/personas/{uuid}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://app.pipecorn.com/api/v2/personas/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uuid": "8e1dcba0-f0bb-4071-99fc-f18ba6559ccc",
  "name": "VP Grenoble",
  "job_titles": [
    "CEO",
    "COO",
    "Cofounder"
  ],
  "location": [
    "Grenoble, Auvergne-Rhône-Alpes, France",
    "Paris, Île-de-France, France"
  ],
  "created_at": "2024-09-09T15:15:15.951Z",
  "updated_at": "2024-09-09T15:15:15.951Z"
}

Authorizations

X-API-KEY
string
header
required

Your API key

Path Parameters

id
string<uuid>
required

ID of the persona to retrieve

Response

200 - application/json

A list object

uuid
string<uuid>

The unique identifier of the persona

Example:

"8e1dcba0-f0bb-4071-99fc-f18ba6559ccc"

name
string

The name of the persona

Example:

"VP Grenoble"

job_titles
string[]

List of job titles associated with the persona

Example:
["CEO", "COO", "Cofounder"]
location
string[]

List of locations associated with the persona

Example:
[
"Grenoble, Auvergne-Rhône-Alpes, France",
"Paris, Île-de-France, France"
]
created_at
string<date-time>

The creation date of the persona

Example:

"2024-09-09T15:15:15.951Z"

updated_at
string<date-time>

The last modified date of the persona

Example:

"2024-09-09T15:15:15.951Z"